query listVendorRate @auth(level: USER) {
  vendorRates {
    id
    vendorName
    category
    roleName
    employeeWage
    markupPercentage
    vendorFeePercentage
    clientRate
  }
}

query getVendorRateById(
  $id: UUID!
) @auth(level: USER) {
  vendorRate(id: $id) {
    id
    vendorName
    category
    roleName
    employeeWage
    markupPercentage
    vendorFeePercentage
    clientRate
    createdDate
    updatedDate
    createdBy
  }
}

query filterVendorRates(
  $vendorName: String,
  $category: VendorRateCategory,
  $roleName: String,
  $minClientRate: Float,
  $maxClientRate: Float
) @auth(level: USER) {
  vendorRates(
    where: {
      vendorName: { eq: $vendorName }
      category: { eq: $category }
      roleName: { eq: $roleName }
      clientRate: { ge: $minClientRate, le: $maxClientRate }
    }
  ) {
    id
    vendorName
    category
    roleName
    employeeWage
    markupPercentage
    vendorFeePercentage
    clientRate
  }
}
